<?php $this->load->view('settings/partials/header') ?>
<div class="window-content">
    <div class="page-loader" style="display: none;"></div>
    <div class="pane-group">
        <?php $this->load->view('category') ?>   
        <?php $this->load->view('menu') ?>   
        <?php $this->load->view('selection') ?>   
    </div>
</div>
<div id="popupContentHolder"></div>
<?php $this->load->view('menu/menu/menunav') ?>
<?php $this->load->view('settings/partials/footer') ?>

<script type="text/javascript">
    function deleteImage(row, dbkey, dbimage, dbtable, path, url) {
        if (!$('.page-loader').is(":visible")) {
            if (checkInternetConnection()) {
                $.ajax({
                    url: url,
                    data: {row: row, dbkey: dbkey, image: dbimage, dbtable: dbtable, path: path},
                    type: 'POST',
                    dataType: 'json',
                    beforeSend: function (xhr) {
                        $('.page-loader').show();
                    },
                    success: function (response) {
                        $('.page-loader').hide();
                        if (response.status) {
                            var menu = '<?php echo isset($loaded_menu) && !empty($loaded_menu) ? $loaded_menu['id'] : false ?>';
                            zamanEposNavigator('', '<?php echo site_url('menu/index/') ?>' + row + '/' + menu, 'menuIndex');
                        } else {
                            warning('<?php echo $this->lang->line('error') ?>', response.message, '<?php echo $this->lang->line('close') ?>');
                        }
                    }
                });
            } else {
                warning('<?php echo $this->lang->line('lost_connection') ?>', '<?php echo $this->lang->line('lost_connection_message') ?>', '<?php echo $this->lang->line('close') ?>');
            }
        }
    }
    function showItemOption(itemClass) {
        $('.' + itemClass).toggle('slow');
    }
</script>

